# IMFDockAreaPart Struct Reference
[MCFrame]

Inheritance diagram for IMFDockAreaPart:

List of all members.

## Public Member Functions
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
virtual boolean MCCOMAPI | CanDockPart (IMFDockablePart *inDockCandidate)=0
virtual void MCCOMAPI | DockPart (IMFDockablePart *inDockPart, const TMCPoint &inScreenAnchor, const TMCPoint &inDockLocalAnchor, boolean inCreateDragAction)=0
virtual void MCCOMAPI | UnDockPart (IMFDockablePart *inDockPart, TMCPoint *ioDockLocalAnchor)=0
virtual void MCCOMAPI | ReDockPart (IMFDockablePart *inDockPart, const TMCPoint &inPosInfo)=0
virtual IDType MCCOMAPI | GetDockAreaID ()=0
virtual void MCCOMAPI | SetDockAreaID (IDType inDockAreaID)=0

## Detailed Description

IMFDockAreaPart is the interface of part that can contain docked parts

## Member Function Documentation

virtual boolean MCCOMAPI IMFDockAreaPart::CanDockPart | ( | IMFDockablePart * | inDockCandidate | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDockAreaPart::DockPart | ( | IMFDockablePart * | inDockPart,
|  | const TMCPoint & | inScreenAnchor,
|  | const TMCPoint & | inDockLocalAnchor,
|  | boolean | inCreateDragAction |
| ) |  |  | `[pure virtual]`

inScreenAnchor : anchor (mouse) point in screen coordinates inDockLocalAnchor : anchor (mouse) point in local coordinates of the dockPart After docking, the DockLocalAnchor will be at (or near) inScreenAnchor pos

virtual IDType MCCOMAPI IMFDockAreaPart::GetDockAreaID | ( |  | ) | `[pure virtual]`

virtual IMFPart* MCCOMAPI IMFDockAreaPart::GetThisPart | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDockAreaPart::ReDockPart | ( | IMFDockablePart * | inDockPart,
|  | const TMCPoint & | inPosInfo |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMFDockAreaPart::SetDockAreaID | ( | IDType | inDockAreaID | ) | `[pure virtual]`

virtual void MCCOMAPI IMFDockAreaPart::UnDockPart | ( | IMFDockablePart * | inDockPart,
|  | TMCPoint * | ioDockLocalAnchor |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFDockAreaPart.h